import request from '/@/utils/request';

export function videoApi() {
    return {
        // v1
        getVideoList: (data: any) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/sysAdmin/camera/find/byCondition`,
                method: 'post',
                data: data
            });
        },

        addVideo: (data: any) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/sysAdmin/camera/add`,
                method: 'post',
                data: data
            });
        },

        modVideo: (data: any) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/sysAdmin/camera/mod`,
                method: 'post',
                data: data
            });
        },

        delVideo: (cameraId: number | null) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/sysAdmin/camera/del?cameraId=${cameraId == null ? null : cameraId}`,
                method: 'get'
            });
        }
    };
}
